;;;; cl-scopes/app/demo/main - sample main program

(defpackage :scopes/app/demo
  (:use :common-lisp)
  (:local-nicknames (:forge :scopes/forge))
  (:export #:main))

(in-package :scopes/app/demo)

(defun main()
  (format t "~%Hello World.~%relative path: ~a~%system source dir: ~a~%"
          (asdf:system-relative-pathname :scopes-demo "config")
          (asdf:system-source-directory :scopes-demo))
  (setf forge:*forge-env* (forge:forge-env))
  (forge:setup-builtins)
  (forge:repl))
